<template>
  <div>
    <!-- 台账 -->
    <StandingBook v-show="flag" @ViewReport="ViewReport" />
    <!-- 报表 -->
    <TrendChart v-if="!flag" :reportID="reportID" @close='flag=true'/>
    <!-- <Wtqsfenew v-if="!flag" :reportID="reportID" @close='flag=true'/> -->
  </div>
</template>
<script>
import TrendChart from "./components/TrendChart";
// import Wtqsfenew from "@/views/components/wtqsfenew";
import StandingBook from "./components/StandingBook";
export default {
  components: { TrendChart, StandingBook },
  props: {},
  data() {
    return {
      flag: true,
      reportID: "",
    };
  },
  created() {},

  methods: {
    ViewReport(id) {
      this.reportID = id;
      this.flag = false;
    },
  },

  computed: {},

  watch: {},
};
</script>
<style lang="scss" scoped></style>
